Bug 6796 - Change citation_date to YYYY/MM/DD
Change citation_date to YYYY/MM/DD
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: General
2.3.x
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-29 14:56 PDT by James MacGregor
Modified: 2011-11-23 14:51 PST (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OCS 2.3.3-1 (1.10 KB, patch)
2011-09-07 11:29 PDT, James MacGregor
Details | Diff
patch against OJS 2.3.6 (1.10 KB, patch)
2011-11-23 14:50 PST, James MacGregor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2011-07-29 14:56:00 PDT
The citation_date date order is currently DD/MM/YYYY, rather than YYYY/MM/DD (which is easier to parse in other parts of the world, and the default way we order it elsewhere in article metadata, etc.). It should be changed.

(Courtesy of Anurag)
Comment 1 James MacGregor 2011-07-29 14:59:01 PDT
NB: this is the citation_date metadata tag embedded in an article's page source. View http://www.globalhealthaction.net/index.php/gha/article/viewArticle/5724 for an example. This is still the default order in OJS 2.3.6 onwards.
Comment 2 James MacGregor 2011-09-07 11:29:08 PDT
Created attachment 3631 [details]
Patch against OCS 2.3.3-1
Comment 3 James MacGregor 2011-09-07 11:29:44 PDT
Committed against OCS stable and master. Still needs to be committed against OJS.
Comment 4 James MacGregor 2011-09-07 11:30:02 PDT
change citation_date to YYYY/MM/DD
https://github.com/pkp/ocs/commit/c9ae7e87b411a0c57826724c3beff3472c3fe0b6
Comment 5 James MacGregor 2011-09-07 11:30:02 PDT
change citation_date to YYYY/MM/DD
https://github.com/pkp/ocs/commit/6a36099a811855800f9bf45fe115f9e01c21dbca
Comment 6 James MacGregor 2011-11-23 14:45:02 PST
change citation_date to YYYY/MM/DD
https://github.com/pkp/ojs/commit/b16876d83283a165e79537eb3212a04953e39d90
Comment 7 James MacGregor 2011-11-23 14:50:02 PST
change citation_date to YYYY/MM/DD
https://github.com/pkp/ojs/commit/7aa7056f99c28310a04d7af3e5db2b326e19681d
Comment 8 James MacGregor 2011-11-23 14:50:56 PST
Created attachment 3678 [details]
patch against OJS 2.3.6
Comment 9 James MacGregor 2011-11-23 14:51:30 PST
Committed to OJS master and stable. Closing.